﻿
using System;
using Wisej.Web;

namespace WisejControlEndEvents
{
    public partial class Window1 : Form
    {
        public Window1()
        {
            InitializeComponent();
        }

        private void btnAdd_Click(object sender, EventArgs e)
        {
            TextBox tBox = new TextBox();
            tBox.Parent = this;
            tBox.Location = new System.Drawing.Point(lstEvents.Width + 20, 100);
            tBox.Size = new System.Drawing.Size(60,22);
            tBox.LabelText = "Resize and/or Move";
            tBox.ResizableEdges = AnchorStyles.Bottom | AnchorStyles.Right;
            tBox.Movable = true;

            lstEvents.Items.Add("TBox added");

            tBox.EndResize += TBox_EndResize;
            tBox.EndMove += TBox_EndMove;

            lstEvents.Items.Add("TBox Event Handlers");
        }

        private void TBox_EndMove(object sender, EventArgs e)
        {
            lstEvents.Items.Add("TBox_EndMove");
        }

        private void TBox_EndResize(object sender, EventArgs e)
        {
            lstEvents.Items.Add("TBox_EndResize");
        }

        private void Window1_Load(object sender, EventArgs e)
        {
            lstEvents.Items.Add("Window1_Load");
        }
    }
}
